#include "board_init.h"

#include "hal_gpio.h"

void BOARD_InitDebugConsole(void);

void BOARD_Init(void) {
    BOARD_InitBootClocks();
    BOARD_InitPins();

    BOARD_InitDebugConsole();
}

void BOARD_InitDebugConsole(void) {
    UART_Init_Type uart_init;

    uart_init.ClockFreqHz              = BOARD_DEBUG_UART_FREQ;
    uart_init.BaudRate                 = BOARD_DEBUG_UART_BAUDRATE;
    uart_init.WordLength               = UART_WordLength_8b;
    uart_init.StopBits                 = UART_StopBits_1;
    uart_init.Parity                   = UART_Parity_None;
    uart_init.XferMode                 = UART_XferMode_RxTx;
    uart_init.HwFlowControl            = UART_HwFlowControl_None;
    uart_init.XferSignal               = UART_XferSignal_Normal;
    uart_init.EnableSwapTxRxXferSignal = false;
    UART_Init(BOARD_DEBUG_UART_PORT, &uart_init);
    UART_Enable(BOARD_DEBUG_UART_PORT, true);
}
