#include "pin_init.h"

#include "hal_gpio.h"
#include "hal_rcc.h"

void BOARD_InitPins(void) {
    /* PB6 - UART1_TX. */
    GPIO_Init_Type gpio_init;
    gpio_init.Pins    = GPIO_PIN_6;
    gpio_init.PinMode = GPIO_PinMode_AF_PushPull;
    gpio_init.Speed   = GPIO_Speed_10MHz;
    GPIO_Init(GPIOB, &gpio_init);
    GPIO_PinAFConf(GPIOB, gpio_init.Pins, GPIO_AF_7);

    /* PB7 - UART1_RX. */
    gpio_init.Pins    = GPIO_PIN_7;
    gpio_init.PinMode = GPIO_PinMode_In_Floating;
    gpio_init.Speed   = GPIO_Speed_10MHz;
    GPIO_Init(GPIOB, &gpio_init);
    GPIO_PinAFConf(GPIOB, gpio_init.Pins, GPIO_AF_7);

    /* PA1 - Blue LED */
    gpio_init.Pins    = GPIO_PIN_1;
    gpio_init.PinMode = GPIO_PinMode_Out_OpenDrain;
    gpio_init.Speed   = GPIO_Speed_10MHz;
    GPIO_Init(GPIOA, &gpio_init);
    GPIO_PinAFConf(GPIOA, gpio_init.Pins, GPIO_AF_0);
}
